import React from "react";
import { shallow } from "enzyme";
import { shallowToJson } from "enzyme-to-json";

import { Channel } from "../Channel";

const channelProps = {
  srcImage: "https://example.com",
  config: {
    titleColor: "white",
    summaryColor: "white",
    backgroundColor: "black",
    backgroundImage: "https://example.com",
    isRTL: true,
  },
};

describe("<Channel />", () => {
  const wrapper = shallow(<Channel {...channelProps} />);

  it("renders correctly", () => {
    expect(shallowToJson(wrapper)).toMatchSnapshot();
  });
});
