import React from "react";

type Props = {
  children: () => React.ReactNode;
};

function FocusableiOSComponent({ children }: Props) {
  if (typeof children === "function") {
    return <>{children()}</>;
  }

  return children;
}

export const FocusableiOS = React.forwardRef(FocusableiOSComponent);
