import * as React from "react";
import { isEqual } from "@applicaster/zapp-react-native-utils/equalUtils";

function FocusableChildComponent(props) {
  return props.renderItem(props);
}

export const FocusableChild = React.memo(
  FocusableChildComponent,
  isEqual({
    byValue: ["focused", "item", "extraChildrenData", "extraData"],
    byReference: ["isReadyToRender"],
  })
);
