import * as React from "react";
import { View, StyleSheet } from "react-native";

type Props = {
  children: React.ReactNode;
};

const styles = StyleSheet.create({
  container: {
    flex: 1,
    width: 1920,
    height: 1080,
  },
});

export const LayoutContainer = ({ children }: Props) => {
  return (
    <View testID="layout-container" style={styles.container}>
      {children}
    </View>
  );
};
