import { View } from "react-native";

import Text from "./Text";
import { ImageContainer as Image } from "./ImageContainer";
import PureImage from "./Image";
import { CollapsibleTextContainer } from "../SharedUI/CollapsibleTextContainer/CollapsibleTextContainer";
import { Toggle } from "./Toggle";
import { Button } from "./Button";
import { FocusableView } from "./FocusableView";
import ProgressBar from "../SharedUI/ProgressBar/ProgressBar";
import { LiveImage } from "./LiveImage";
import { DynamicBadge } from "./DynamicBadge";
import { SecondaryImage } from "./SecondaryImage/Image";
import { BorderContainerView } from "./BorderContainerView";
import { CellBadge } from "./CellBadge";
import { TvActionButtons } from "./tv/TvActionButtons";
import { ButtonContainerView } from "./tv/ButtonContainerView";

export const defaultComponents = {
  View,
  CollapsibleTextContainer,
  Text,
  Button,
  Image,
  PureImage,
  ButtonContainerView,
  FocusableView,
  ProgressBar,
  Toggle,
  LiveImage,
  BorderContainerView,
  DynamicBadge,
  SecondaryImage,
  TvActionButtons,
  CellBadge,
};
