import { ImageStyle } from "react-native";

export type ContainerProps = Record<string, any> & {
  buttonsToggleEnabled: boolean;
  skipButtons: boolean;
  style: ImageStyle;
  children: ContainerChildren[];
};

export type ButtonProps = Record<string, any> & {
  style: ImageStyle;
};

export type HorizontalSeparatorProps = {
  width: number;
};

export type ContainerChildren = {
  props: {
    item: any;
    pluginIdentifier: string;
    cellUUID: string;
    suffixId: string;
  };
};
