import { TextLabel } from "./TextLabel";
import { compact } from "@applicaster/zapp-react-native-utils/cellUtils";

const View = "View";

export const TextLabelsContainer = ({
  prefix,
  value,
  platformValue,
  pluginIdentifier,
}) => {
  return {
    type: View,
    style: {
      flexDirection: "column",
    },
    elements: compact([
      TextLabel({
        prefix: `${prefix}_label_1`,
        value,
        platformValue,
        pluginIdentifier,
        name: "label_1",
      }),
      TextLabel({
        prefix: `${prefix}_label_2`,
        value,
        platformValue,
        pluginIdentifier,
        name: "label_2",
      }),
    ]),
  };
};
