import React from "react";
import { ComponentsMapContext } from "./ComponentsMapContext";
import { ComponentsMapProvider } from "./ComponentsMapProvider";

const useComponentsMapContext = () => React.useContext(ComponentsMapContext);

export { ComponentsMapContext, ComponentsMapProvider, useComponentsMapContext };
