import * as React from "react";
import { ConfigurationContext } from "./";

type ProviderArgs = {
  configuration: Record<string, any>;
  children: React.ReactNode;
};

export const ConfigurationProvider = ({
  configuration,
  children,
}: ProviderArgs) => (
  <ConfigurationContext.Provider value={configuration}>
    {children}
  </ConfigurationContext.Provider>
);
