import * as React from "react";
import { FocusableGroupContext } from "./FocusableGroupContext";

type ProviderArgs = {
  id: string;
  children: React.ReactNode;
};

export const FocusableGroupContextProvider = ({
  id,
  children,
}: ProviderArgs) => (
  <FocusableGroupContext.Provider value={id}>
    {children}
  </FocusableGroupContext.Provider>
);
