import React, { useEffect } from "react";
import { View } from "react-native";

type Props = {
  onLoadFinished: () => void,
};

export function Hero(props: Props) {
  useEffect(() => {
    props?.onLoadFinished();
  }, []);

  return <View />;
}
