type CellState = "focused_selected" | "focused" | "selected" | "default";

export const getCellState = ({
  focused,
  selected,
}: {
  focused: Option<boolean>;
  selected: Option<boolean>;
}): CellState => {
  if (focused && selected) {
    return "focused_selected";
  }

  if (focused) {
    return "focused";
  }

  if (selected) {
    return "selected";
  }

  return "default";
};
