import { isTV } from "@applicaster/zapp-react-native-utils/reactUtils";
import React from "react";
import { Button as ButtonMobile } from "./Button";
import { ButtonTV } from "./ButtonTV";

export const Button = (props) => {
  if (isTV()) {
    return <ButtonTV {...props} />;
  }

  return <ButtonMobile {...props} />;
};
