import { Focusable as FocusableDefault } from "./Focusable";
import { Focusable as FocusableTvOS } from "./FocusableTvOS";
import { FocusableiOS } from "./FocusableiOS";

import { platformSelect } from "@applicaster/zapp-react-native-utils/reactUtils";

export const Focusable = platformSelect({
  tvos: FocusableTvOS,
  ios: FocusableiOS,
  default: FocusableDefault,
});
