import { getNonUniqueValues } from "..";

describe("getNonUniqueValues", () => {
  it("return non uniq values", () => {
    const ids = ["1", "1", "2", "3"];

    expect(getNonUniqueValues(ids)).toEqual(["1"]);
  });

  it("return empty list when only uniq values are", () => {
    const ids = ["1", "2", "3"];

    expect(getNonUniqueValues(ids)).toEqual([]);
  });
});
