import React from "react";
import FastImage, {
  FastImageProps,
} from "@applicaster/react-native-fast-image";

import { useImageSource } from "./utils";

export const QBImage = (props: FastImageProps) => {
  const source = useImageSource(props.source);

  return <FastImage {...props} source={source} />;
};
