import { platformSelect } from "@applicaster/zapp-react-native-utils/reactUtils";

import ImageWeb from "./Image.web";
import ImageAndroid from "./Image.android";
import ImageIos from "./Image.ios";

import { withDimensionsHOC } from "./hoc/withDimensions";

export default platformSelect({
  ios: withDimensionsHOC(ImageIos),
  tvos: withDimensionsHOC(ImageIos),
  android_tv: withDimensionsHOC(ImageAndroid),
  android: withDimensionsHOC(ImageAndroid),
  amazon: withDimensionsHOC(ImageAndroid),
  lg_tv: withDimensionsHOC(ImageWeb),
  samsung_tv: withDimensionsHOC(ImageWeb),
  web: withDimensionsHOC(ImageWeb),
});
