const BACKGROUND_COLOR = "#2F2F2F";
const SELECTED_BACKGROUND_COLOR = "#FC461B";
const TITLE_COLOR = "#EFEFEF";

export const container = {
  width: 384,
  height: 436,
  borderRadius: 4,
  backgroundColor: BACKGROUND_COLOR,
  marginRight: 20,
};

export const selectedContainer = {
  ...container,
  backgroundColor: SELECTED_BACKGROUND_COLOR,
};

export const image = {
  width: 384,
  height: 216,
  borderTopRightRadius: 4,
  borderTopLeftRadius: 4,
};

export const titleContainer = {
  width: 336,
  height: 30,
  marginHorizontal: 24,
  marginTop: 24,
};

export const subTitleContainer = {
  width: 336,
  height: 60,
  marginHorizontal: 24,
  marginTop: 10,
};

export const logoContainer = {
  width: 56,
  height: 42,
  margin: 24,
};

export const logo = {
  width: 56,
  height: 42,
};

export const title = {
  fontSize: 26,
  color: TITLE_COLOR,
  fontWeight: "bold",
  fontStyle: "normal",
};

export const subTitle = {
  ...title,
  fontSize: 24,
  fontWeight: "normal",
  opacity: 0.8,
};
