import { insertBetween } from "..";

describe("insertBetween", () => {
  it("insertBetween", () => {
    const separator = () => "|";
    const items = [1, 2, 3];

    const result = insertBetween(separator, items);

    expect(result).toEqual([1, "|", 2, "|", 3]);
  });

  it("insertBetween", () => {
    const separator = (index) => `separator:${index}`;
    const items = [1, 2, 3];

    const result = insertBetween(separator, items);

    expect(result).toEqual([1, "separator:0", 2, "separator:1", 3]);
  });
});
