import React from "react";
import { FocusableGroup } from "@applicaster/zapp-react-native-ui-components/Components/FocusableGroup";
import { ComponentWrapperProps } from "./index";

export const ComponentFocusableWrapperView = (props: ComponentWrapperProps) => {
  const style = { flexBasis: "auto", flexGrow: 1, flexShrink: 1 };

  return (
    // @ts-ignore
    <FocusableGroup id={props.id} groupId={props.groupId} style={style}>
      {props.children(null, null)}
    </FocusableGroup>
  );
};
