import React from "react";
import { Focusable } from "@applicaster/zapp-react-native-ui-components/Components/Focusable";

type Props = {
  children: any;
  nextFocusDown?: any;
};

export const PlayerFocusableWrapperView = (props: Props) => {
  return (
    <Focusable
      id={"player-top-focusable-container"}
      nextFocusDown={props.nextFocusDown}
    >
      {props.children}
    </Focusable>
  );
};
