import * as R from "ramda";

import { connectToStore } from "@applicaster/zapp-react-native-redux";
import { loadPipesData } from "@applicaster/zapp-react-native-redux/ZappPipes";

import { PlayerContainer as PlayerContainerComponent } from "./PlayerContainer";

export const PlayerContainer = connectToStore(R.pick(["zappPipes"]), {
  loadPipesData,
})(PlayerContainerComponent);

export const FocusableGroupMainContainerId = "player-container-general";
