/* eslint-disable max-len */
import { platformSelect } from "@applicaster/zapp-react-native-utils/reactUtils";
import { ComponentsMap as ComponentsMapMobile } from "./ComponentsMap";
import { ComponentsMap as ComponentsMapDom } from "@applicaster/zapp-react-dom-ui-components/Components/River/ComponentsMap";
import { ComponentsMapDataProvider as ComponentsMapAndroidTV } from "@applicaster/zapp-react-native-android-tv-ui-components/Components/River/ComponentsMapDataProvider";
import { ComponentsMap as ComponentsMapTVOS } from "@applicaster/zapp-react-native-tvos-ui-components/Components/River/ComponentsMap";

const mobile = ComponentsMapMobile;
const dom = ComponentsMapDom;
const androidTV = ComponentsMapAndroidTV;
const tvos = ComponentsMapTVOS;

export const ComponentsMap = platformSelect({
  ios: mobile,
  android: mobile,
  tvos,
  android_tv: androidTV,
  amazon: androidTV,
  web: dom,
  samsung_tv: dom,
  lg_tv: dom,
});
