import React from "react";
import { View, Text, StyleSheet } from "react-native";

// TODO: This value should come from the genreal content screen configuration, when CMS will enable us to do that
const ERROR_MESSAGE = "There has been an error loading this screen.";

const lightGray = "#777777";

const styles = StyleSheet.create({
  container: {
    flex: 1,
    height: "100%",
    alignItems: "center",
    justifyContent: "center",
  },
  text: {
    color: lightGray,
  },
});

export function RiverError() {
  return (
    <View style={styles.container}>
      <Text style={styles.text}>{ERROR_MESSAGE}</Text>
    </View>
  );
}
