import * as React from "react";
import { View, StyleSheet } from "react-native";

type Props = {
  screenId: string;
  children: React.ReactNode;
};

const styles = StyleSheet.create({
  container: { flex: 1 },
});

export function TestId({ screenId, children }: Props) {
  return (
    <View
      testID={screenId}
      accessibilityLabel={screenId}
      style={styles.container}
    >
      {children}
    </View>
  );
}
