import { platformSelect } from "@applicaster/zapp-react-native-utils/reactUtils";
import { Tabs as AndroidTVTabs } from "./Tabs.android";
import { Tabs as TvOSTabs } from "./Tabs.ios";
import { Tabs as DefaultTabs } from "./Tabs";
import { TabContent } from "./TabContent";

const Tabs = platformSelect({
  android_tv: AndroidTVTabs,
  tvos: TvOSTabs,
  default: DefaultTabs,
});

export { Tabs, TabContent };
