import { useTheme } from "@applicaster/zapp-react-native-utils/theme";
import { useConfiguration } from "../utils";

export const useBackgroundColor = (): string => {
  const { modal_background_color: modalBackgroundColor } = useConfiguration();

  const theme = useTheme<BaseThemePropertiesMobile>();

  return modalBackgroundColor || theme?.status_background_color;
};
