import { platformSelect } from "@applicaster/zapp-react-native-utils/reactUtils";

// this code is duplicated here instead of importing it from zapp-react-native-utils
// so we can build this package with older versions of QB

export const styleKeys = {
  style_namespace: platformSelect({
    samsung_tv: "tv",
    lg_tv: "tv",
    tvos: "apple_tv",
    ios: "iphone", // TODO ipad
    android_tv: "android_tv",
    android: "smartphone", // TODO: tablet
    default: "smartphone",
  }),
};

export const DEFAULT_STYLE_NAMESPACE = "universal";
