import React from "react";

const reactRouter = jest.genMockFromModule("react-router-native");

function withRouter(Component) {
  return (props) => <Component {...props} />; // eslint-disable-line react/display-name
}

reactRouter.withRouter = withRouter;

module.exports = reactRouter;
