export const ASSETS = {
  APP_BACKGROUND_IMAGE: "app_background_image",
};

export const ANALYTICS_CORE_EVENTS = {
  TAP_CELL: "Tap Cell",
  PLAY_VOD_ITEM: "Play VOD Item",
  VOD_ITEM_PLAY_WAS_TRIGGERED: "VOD Item: Play Was Triggered",
  CHANNEL_ITEM_PLAY_WAS_TRIGGERED: "Channel Item: Play Was Triggered",
  PROGRAM_ITEM_PLAY_WAS_TRIGGERED: "Program Item: Play Was Triggered",
  TAP_MENU_ICON: "Tap Menu Item",
  HOME_SCREEN_VIEWED: "Home Screen: Viewed",
  ITEM_NOT_AVAILABLE: "N/A",
};

export const ANALYTICS_ENTRY_EVENTS = {
  ITEM_TYPE: "Item Type",
  ITEM_TITLE: "Item Name",
  ITEM_ID: "Item ID",
  ITEM_LINK: "Item Link",
  ITEM_INDEX: "Item Number",
  ITEM_TIME_PLAYED: "Item Total Time Played",
  ITEM_TOTAL_TIME_PLAYED: "Item Total Time Played",
  ITEM_PLAY_COMPLETED: "Completed",
  ITEM_CUSTOM_PROPERTY: "Custom Property",
};

export const ANALYTICS_COMPONENT_EVENTS = {
  COMPONENT_ID: "Component ID",
  COMPONENT_TYPE: "Component Type",
  CELL_STYLE: "Cell Style",
  HEADER_TITLE: "Header Name",
  COMPONENT_SOURCE: "Component Source",
};

export const ANALYTICS_MENU_ITEM_EVENTS = {
  ITEM_TYPE: "Item Type",
  ITEM_TITLE: "Item Name",
  ITEM_ID: "Item ID",
  ITEM_HOME_SCREEN: "Home Screen",
  ITEM_INDEX: "Item Number",
};
